import requests
import time
import datetime
import pymysql
import random
import pandas as pd
import traceback
from log_settings import *
import logging
auto_urge_url = "http://earth.igengmei.com/api/v1/user/urge"

login_url = "http://earth.igengmei.com/api/account/login_pwd"

def index_first():
    try:
        r1 = requests.get(login_url)
        return r1.cookies.get_dict()
    except:

        logging.error("index_first:%s" % traceback.format_exc())

        return None

def get_majia():

    try:
        data = open("batch_user_gen")

        list=[]

        for i in data:

            list.append(i.strip('\n').strip(','))

        maj = random.randint(1,len(list))

        user_id=list[maj-1]

        return user_id

    except:
        logging.error("catch exception,get_majia:%s" % traceback.format_exc())
        return None

def get_cookies(user_id):

    try:
        with open("user_session.txt", 'r') as f:
            try:
                data = f.readlines()
            except:
                data = None

        list = []
        for i in data:
            list.append(i.strip('\n').split(","))

        for i in list:

            if user_id == i[0]:

                return (i[1])
    except:

        return None

def logins():

    try:
        user_id=get_majia()

        cookies = get_cookies(user_id)

        if cookies is not None:

            return {'sessionid': cookies}

    except:

        logging.error("catch exception,logins:%s" % traceback.format_exc())

        return None

def Urge(cookies_get, id):

    try:
        post_dict = {
            'id': id
        }
        response = requests.post(url=auto_urge_url,
                                 cookies=cookies_get,
                                 data=post_dict)

        logging.info("response.text:%s" % response.text)

    except:

        logging.error("catch exception,logins:%s" % traceback.format_exc())

def time_conv(numtime):

    try:
        now = datetime.datetime.now()
        yes_time = now - datetime.timedelta(days=numtime)
        yes_time_str = yes_time.strftime('%Y-%m-%d')
        return yes_time_str
    except:
        return None

def get_star_useid(numtime):

    try:
        db = pymysql.connect(host="rm-2ze5k2we69904787l.mysql.rds.aliyuncs.com", user='work', passwd='Gengmei123',
                             db="alpha", port=3306)
        cursor = db.cursor()
        cursor.execute(
            "SELECT user_id FROM topic WHERE is_online=1 and  content_level =4 or content_level =5 and create_time LIKE '%%%%%s%%%%'" % numtime)
        data = cursor.fetchall()
        user_id = list(data)
        logging.info("Database version : %s " % user_id)
        db.close()
        return user_id

    except:
        logging.error("catch exception,get_data:%s" % traceback.format_exc())
        return None


if __name__ == "__main__":

    try:
        time_list = [1,2,3,4,5,6,7]

        for i in time_list:

            numtime = time_conv(i)

            user_id = get_star_useid(numtime)

            for j in user_id:

                id = int(j[0])

                for i in range(1):

                    time.sleep(random.randint(10, 50))

                    cookies = logins()

                    if cookies is not None:

                        Urge(cookies, id)

    except:
        logging.error("catch exception,main:%s" % traceback.format_exc())